Package org.apache.maven.scm.provider.cvslib.cvsjava.util

## Class CvsLogListener

- java.lang.Object
- - org.netbeans.lib.cvsclient.event.CVSAdapter
  - - org.apache.maven.scm.provider.cvslib.cvsjava.util.CvsLogListener

All Implemented Interfaces:
  `org.netbeans.lib.cvsclient.event.CVSListener`

    public class CvsLogListener
    extends org.netbeans.lib.cvsclient.event.CVSAdapter

A basic implementation of a CVS listener. It merely saves up into StringBuilders the stdout and stderr printstreams.

Author:
  Eric Pugh

### Constructor Summary

Constructors
`CvsLogListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuffer` `getStderr()`
`java.lang.StringBuffer` `getStdout()`
`void` `messageSent​(org.netbeans.lib.cvsclient.event.MessageEvent e)` Called when the server wants to send a message to be displayed to the user.

### Methods inherited from class org.netbeans.lib.cvsclient.event.CVSAdapter

`commandTerminated, fileAdded, fileInfoGenerated, fileRemoved, fileToRemove, fileUpdated, messageSent, moduleExpanded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsLogListener

    public CvsLogListener()

### Method Detail

#### messageSent

    public void messageSent​(org.netbeans.lib.cvsclient.event.MessageEvent e)

Called when the server wants to send a message to be displayed to the user. The message is only for information purposes and clients can choose to ignore these messages if they wish.

Specified by:
  `messageSent` in interface `org.netbeans.lib.cvsclient.event.CVSListener`
Overrides:
  `messageSent` in class `org.netbeans.lib.cvsclient.event.CVSAdapter`

#### getStdout

    public java.lang.StringBuffer getStdout()

Returns:
  Returns the standard output from cvs as a StringBuilder..

#### getStderr

    public java.lang.StringBuffer getStderr()

Returns:
  Returns the standard error from cvs as a StringBuilder..